Websites

GET https://www.metricsites.com/api/websites/
curl --request GET \
--url 'https://www.metricsites.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Beschrijving
page Optioneel Geheel getal Het paginanummer waarvan u resultaten wilt. Standaard is 1.
results_per_page Optioneel Geheel getal Hoeveel resultaten wilt u per pagina. Toegestane waarden zijn: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standaard is 25.
{ "data": [ { "id": 1, "pixel_key": "1234567890123456", "name": "Localhost", "scheme": "https://", "host": "example.com", "path": "/", "tracking_type": "normal", "excluded_ips": "", "events_children_is_enabled": false, "sessions_replays_is_enabled": false, "email_reports_is_enabled": false, "email_reports_last_date": "2020-06-23 19:01:22", "bot_exclusion_is_enabled": true, "query_parameters_tracking_is_enabled": true, "ip_storage_is_enabled": false, "public_statistics_is_enabled": false, "public_statistics_password": false, "is_enabled": true, "datetime": "2026-10-27 01:37:14" "last_datetime": null }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://www.metricsites.com/api/websites?&page=1", "last": "https://www.metricsites.com/api/websites?&page=1", "next": null, "prev": null, "self": "https://www.metricsites.com/api/websites?&page=1" } }
GET https://www.metricsites.com/api/websites/{website_id}
curl --request GET \
--url 'https://www.metricsites.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "pixel_key": "1234567890123456", "name": "Localhost", "scheme": "https://", "host": "example.com", "path": "/", "tracking_type": "normal", "excluded_ips": "", "events_children_is_enabled": false, "sessions_replays_is_enabled": false, "email_reports_is_enabled": false, "email_reports_last_date": "2020-06-23 19:01:22", "bot_exclusion_is_enabled": true, "query_parameters_tracking_is_enabled": true, "ip_storage_is_enabled": false, "public_statistics_is_enabled": false, "public_statistics_password": false, "is_enabled": true, "datetime": "2026-10-27 01:37:14" "last_datetime": null } }
POST https://www.metricsites.com/api/websites
Parameters Details Beschrijving
name Vereist Tekenreeks -
scheme Optioneel Tekenreeks Toegestane waarden: http://, https://
host Vereist Tekenreeks Website Host & Pad. Voorbeeld: https://example.com/path.
tracking_type Optioneel Tekenreeks Toegestane waarden: lightweight, normal
excluded_ips Optioneel Tekenreeks IP's uitsluiten van tracking. Voer door komma's gescheiden waarden in.
events_children_is_enabled Optioneel Boolean Volg bezoekersgebeurtenissen (muis klikken, resizes, scrollen, formulierinzendingen). Toegestane waarden zijn: 0 of 1. Alleen beschikbaar voor normaal trackingtype.
sessions_replays_is_enabled Optioneel Boolean Replay sessies. Toegestane waarden zijn: 0 of 1. Alleen beschikbaar voor normaal trackingtype.
email_reports_is_enabled Optioneel Boolean E-mailrapporten. Toegestane waarden zijn: 0 of 1.
ip_storage_is_enabled Optioneel Boolean Beschikbaar wanneer: tracking_type = normal
query_parameters_tracking_is_enabled Optioneel Boolean -
bot_exclusion_is_enabled Optioneel Boolean -
public_statistics_is_enabled Optioneel Boolean -
public_statistics_password Optioneel Tekenreeks -
is_enabled Optioneel Boolean -
curl --request POST \
--url 'https://www.metricsites.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{ "data": { "id": 1 } }
POST https://www.metricsites.com/api/websites/{website_id}
Parameters Details Beschrijving
name Optioneel Tekenreeks -
scheme Optioneel Tekenreeks Toegestane waarden: http://, https://
host Optioneel Tekenreeks Website Host & Pad. Voorbeeld: https://example.com/path.
excluded_ips Optioneel Tekenreeks IP's uitsluiten van tracking. Voer door komma's gescheiden waarden in.
events_children_is_enabled Optioneel Boolean Volg bezoekersgebeurtenissen (muis klikken, resizes, scrollen, formulierinzendingen). Toegestane waarden zijn: 0 of 1. Alleen beschikbaar voor normaal trackingtype.
sessions_replays_is_enabled Optioneel Boolean Replay sessies. Toegestane waarden zijn: 0 of 1. Alleen beschikbaar voor normaal trackingtype.
email_reports_is_enabled Optioneel Boolean E-mailrapporten. Toegestane waarden zijn: 0 of 1.
ip_storage_is_enabled Optioneel Boolean Beschikbaar wanneer: tracking_type = normal
query_parameters_tracking_is_enabled Optioneel Boolean -
bot_exclusion_is_enabled Optioneel Boolean -
public_statistics_is_enabled Optioneel Boolean -
public_statistics_password Optioneel Tekenreeks -
is_enabled Optioneel Boolean -
curl --request POST \
--url 'https://www.metricsites.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{ "data": { "id": 1 } }
DELETE https://www.metricsites.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://www.metricsites.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \